Skip to main content

Making text vertical in headers

To change text orientation from default horizontal to vertical, use the header parameter of the columns property and set its vertical attribute value to true.

Example:

import { Grid } from "wx-react-grid";
import { getData } from "./common/data";

const { data } = getData();

const columns = [
{ id: "id", width: 50 },
{
id: "companyName",
header: {
text: "Company",
vertical: true,
},
footer: "Company",
},
];

export default function App() {
return (
<Grid data={data} columns={columns} />
);
}

Skip to main content

Making text vertical in headers

To change text orientation from default horizontal to vertical, use the header parameter of the columns property and set its vertical attribute value to true.

Example:

<script setup>
import { Grid } from "@svar-ui/vue-grid";
import { getData } from "./common/data";

const { data } = getData();

const columns = [
{ id: "id", width: 50 },
{
id: "companyName",
header: {
text: "Company",
vertical: true,
}
},
];
</script>

<template>
<Grid :data="data" :columns="columns" />
</template>

Related sample: Vertical text in header